System.ServiceModel 4.0.0.0 System.Object

The channel listeners and channel factories, in turn, construct the channel stacks used to process incoming and outgoing messages. The binding context also provides the linkage to the inner channel factories and channel listeners that are used to construct the channel and listener stacks. The binding context basically stores all of the dynamic information needed during the construction of the channel stack.

Provides information about the addresses, bindings, binding elements and binding parameters required to build the channel listeners and channel factories.

- Constructor
  4.0.0.0
  To be added.

  The value of is set to by this constructor, the relative address is set to , and the base address is set to null.

  Initializes a new instance of the class for a specified binding and collection of binding parameters.

  The for the channel.
- Constructor
  4.0.0.0
  To be added.

  Initializes a new instance of the class for a specified binding, collection of binding parameters, and address for the endpoint at which the service listens.

  The for the channel.
  The for the channel.
  The at which the service endpoint listens.
  The relative address at which the service endpoint listens.
  The that indicates whether the transport must ensure that the URI provided for the service to listen on is unique.
- Property
  4.0.0.0
  System.ServiceModel.Channels.CustomBinding To be added. To be added.

  Gets the binding for the channel built in the current context.

- Property
  4.0.0.0
  System.ServiceModel.Channels.BindingParameterCollection To be added.

  This collection holds the settings encountered when building the channel stack from the bindings. Settings that need to be pushed down the channel stack during creation are put into the collection until a channel lower in the stack needs them.

  Gets the collection of binding parameters for the channel built in the current context.

- Method
  4.0.0.0
  System.ServiceModel.Channels.IChannelFactory<TChannel> To be added.

  Builds the inner channel factory for channels of a specified type below the current channel factory.

  The of type that represents the inner channel factory of the current channel factory.

  The type of object the inner channel factory produces.
- Method
  4.0.0.0
  System.ServiceModel.Channels.IChannelListener<TChannel> ReferenceTypeConstraint System.ServiceModel.Channels.IChannel To be added.

  Builds an inner channel listener that listens for a specified type of channel.

  The of type that represents the inner channel listener of the current channel factory.

  The type of object for which the inner channel listener listens.
- Method
  4.0.0.0
  System.Boolean To be added.

  Returns a value that indicates whether the inner channel factory can produce a specified type of channel.

  true if the inner channel factory can produce the specified ; otherwise, false.

  The type of object the inner channel factory produces.
- Method
  4.0.0.0
  System.Boolean ReferenceTypeConstraint System.ServiceModel.Channels.IChannel To be added.

  Returns a value that indicates whether the inner channel listener can be built to listen for a specified type of channel.

  true if the inner channel listener can be built to listen for the specified; otherwise, false.

  The type of object for which the inner channel listener listens.
- Method
  4.0.0.0
  System.ServiceModel.Channels.BindingContext

  This method returns a copy that is a deep clone of your binding context. A deep clone of an object creates a copy of the object and a copy of everything directly or indirectly referenced by that object. (This is also called copying the entire object graph.) A shallow clone of an object, by contrast, is a copy of the object only. If the object contains references to other objects, the shallow copy does not create copies of the referred objects; instead, it copies only the references to the original objects.

  Returns a copy of the current channel build context.

  A object that is a copy of the current channel build context.

- Method
  4.0.0.0
  T ReferenceTypeConstraint

  Clones the binding context and calls on the next binding element stored in the binding context.

  Returns a typed object requested, if present, from the appropriate layer in the binding stack.

  The typed object requested if it is present or null if it is not.

  The typed object for which the method is querying.
- Property
  4.0.0.0
  System.Uri To be added.

  The address for the endpoint at which a service listens is obtained by appending the to the . This absolute address can be set using the property.

  Gets or sets the URI that provides the base address at which the service endpoint listens.

- Property
  4.0.0.0
  System.ServiceModel.Description.ListenUriMode To be added. To be added.

  Gets or sets a value that indicates whether the transport must ensure that the URI provided for the service to listen on is unique.

- Property
  4.0.0.0
  System.String To be added.

  The address for the endpoint at which a service listens is obtained by appending the to the . This absolute address can be set using the property.

  Gets or sets the URI that provides the relative address at which the service endpoint listens.

- Property
  4.0.0.0
  System.ServiceModel.Channels.BindingElementCollection To be added.

  The binding elements that are put into this collection are those elements that do not correspond directly to a listener or factory in one of the channel stacks. The encoder binding element, for example, ends up in this collection and is then used by the transport channel to construct a message encoder.

  Gets the binding elements that are used by other binding elements to construct the channel stack.